Selected Filters


Loading...

Availability


Disc Brake Kits

Individual Parts

Results 1001 - 1025 of 1182

Disc Brake Kit, Z23 Evolution Sport Brake Upgrade, Front and Rear, Cross-Drilled/Slotted Surface, Chevrolet, GMC, Kit

Part Number: PWR-KC6260

Not Yet Reviewed

Estimated Ship Date: Oct 26, 2026 if ordered today

...Loading

Estimated Ship Date: Oct 26, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits for 1967-1969 COUGAR, MUSTANG - BFC0002-3405AX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,634.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Black Calipers, Ford, Mercury, Automatic Transmission, Kit

Part Number: LEB-S0096

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,634.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2003-P405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,595.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, Chrysler, Dodge, Plymouth, Ki

Part Number: LEB-RFC2003P405X

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,595.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2006-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,806.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-RFC2006C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,806.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2001-C05X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,576.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2001-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,576.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC2001-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,644.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-FC2001-8405X

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,644.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits BFC0025-405PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,539.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Power Assist Kit w/ MaxGrip XDS, Drilled/Slotted Rotors, Black Calipers, Ford, Mercury, Full Size, Kit

Part Number: LEB-S0106

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,539.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2006SMX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,639.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual/Power Assist, Drilled/Slotted Rotors, Red Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-RFC2006SMX

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,639.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC2003-8405X

$150.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,529.99

Rebate Expires: 10/31/2026

Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-FC2003-8405X

1.0 out of 5 stars ( 2 )

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $150.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,529.99

    Rebate Expires: 10/31/2026

    Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC0007-405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,624.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Brake Conversion Kit, MaxGrip Lite D11 4 Piston Man KT w/ Cast Iron M/C Adj Pro Valve Red PC; Mustang 70

Part Number: LEB-RFC0007-405X

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,624.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Spindle-Mount Front Disc Brake Conversion Kits RFC0006SMX

$150.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,549.99

Rebate Expires: 10/31/2026

Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Brake Conversion Kit, MaxGrip Lite D11 4 Piston Spindle Mount KT Red PC; Mustang 70-73

Part Number: LEB-RFC0006SMX

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $150.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,549.99

    Rebate Expires: 10/31/2026

    Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits for 1971-1973 COUGAR, MUSTANG - RFC0008-W405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,824.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Brake Conversion Kit, MaxGrip Lite D11 4 Piston KT w/ 9 Black Boost Cast Iron M/C Adj Pro Valve Red PC; Mustang 71-73

Part Number: LEB-RFC0008W405X

Not Yet Reviewed

Estimated Ship Date: Dec 2, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,824.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 2, 2026 if ordered today

Disk Brake Kit DP42400R+SG2F029+DP41788R+SG75

Part Number: EBC-S26K1496

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP43040R+SG2FC7694+DP43041R+SG

Part Number: EBC-S26K1400

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41210R+SG2FC7426+DP41894R+SG

Part Number: EBC-S26K1418

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41210R+SG2FC7304+DP41788R+SG

Part Number: EBC-S26K1447

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41513 3R+SG2F037+DP42295R+SG

Part Number: EBC-S26K1319

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP43028R+SG2FC7520+DP41788R+SG

Part Number: EBC-S26K1508

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41210R+SG2FC7304+DP41788R+SG

Part Number: EBC-S26K1489

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41895R+SG2FC7520+DP41788R+SG

Part Number: EBC-S26K1477

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP43040R+SG2FC7694+DP43041R+SG

Part Number: EBC-S26K1416

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP32148C+SG2F025

Part Number: EBC-S25KF1032

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41895R+SG2FC7520+DP41788R+SG

Part Number: EBC-S26K1369

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41513 3R+SG2F038+DP42295R+SG

Part Number: EBC-S26K1355

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today

Disk Brake Kit DP41110R+SG2FC7147+DP41110R+SG

Part Number: EBC-S26K1003

Not Yet Reviewed

Estimated Ship Date: Jan 11, 2027 if ordered today

...Loading

Estimated Ship Date: Jan 11, 2027 if ordered today